Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraftforge.event.terraingen
Enum PopulateChunkEvent.Populate.EventType

    java.lang.Object
      java.lang.Enum<PopulateChunkEvent.Populate.EventType>
          net.minecraftforge.event.terraingen.PopulateChunkEvent.Populate.EventType

All Implemented Interfaces:
  Serializable, Comparable<PopulateChunkEvent.Populate.EventType>

Enclosing class:
  PopulateChunkEvent.Populate

    public static enum PopulateChunkEvent.Populate.EventType

extends Enum<PopulateChunkEvent.Populate.EventType>

Use CUSTOM to filter custom event types

Enum Constant Summary
`CUSTOM`
`DUNGEON`
`FIRE`
`GLOWSTONE`
`ICE`
`LAKE`
`LAVA`
`NETHER_LAVA`

Method Summary
`static PopulateChunkEvent.Populate.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PopulateChunkEvent.Populate.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DUNGEON

    public static final PopulateChunkEvent.Populate.EventType DUNGEON

### FIRE

    public static final PopulateChunkEvent.Populate.EventType FIRE

### GLOWSTONE

    public static final PopulateChunkEvent.Populate.EventType GLOWSTONE

### ICE

    public static final PopulateChunkEvent.Populate.EventType ICE

### LAKE

    public static final PopulateChunkEvent.Populate.EventType LAKE

### LAVA

    public static final PopulateChunkEvent.Populate.EventType LAVA

### NETHER_LAVA

    public static final PopulateChunkEvent.Populate.EventType NETHER_LAVA

### CUSTOM

    public static final PopulateChunkEvent.Populate.EventType CUSTOM

Method Detail

### values

    public static PopulateChunkEvent.Populate.EventType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PopulateChunkEvent.Populate.EventType c : PopulateChunkEvent.Populate.EventType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PopulateChunkEvent.Populate.EventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD